
# Dadou - 2.2.1-2mdk - Reminder: 7.2 is for IA32 only
#                                8.0 is for IA32 and PPC
#                                8.1 is for IA32 and IA64
#                                8.2 is for IA32, IA64 and PPC

# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor9_1
%define unstable 0
%else
%define unstable 0
%endif

Name: 		kdepim
Icon: 		kde-icon.xpm
Summary: 	K Desktop Environment - Person Information Management
Version: 	3.1
Release: 	17mdk
Group:		Graphical desktop/KDE
License:	GPL
URL:		http://kdepim.kde.org/
Epoch: 		1
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>

Source: 	kdepim-3.1.tar.bz2

Patch1:		kdepim-3.0-fix-kpilot-compile.patch.bz2
# Laurent 3.0.2-2mdk patch for ix64!
Patch2:     kde-lib64updates.patch.bz2


Patch5:		kdepim-3.1-fix-compile.patch.bz2



# Laurent - 3.1-rc5-3mdk : fix disable ok button in resource dialogbox
Patch8:		kdepim-3.1-fix-ok-button-in-resource-dialogbox.patch.bz2

# Laurent - 3.1-rc6-2mdk : Fix crash in kaddressbook
# Patch commited in head
Patch9:		kdepim-fix-crash-in-kdepim.patch.bz2

# Laurent - 3.1-16mdk : fix from kde3.1 branch
Patch10:	kdepim-3.1-fix-2003-03-05.patch.bz2

# Laurent - 3.1-17mdk : fix from kde3.1 branch
Patch11:	kdepim-3.1-2003-03-06.patch.bz2

BuildRoot: 	%_tmppath/%name-%version-%release-root
Obsoletes: 	korganizer kpilot kdepim3
Provides:	korganizer kpilot kdepim3

# Who? - When? - Why?
Conflicts:	dynamic <= 0.3-2mdk

Conflicts:	kdeutils =< 2.2.2-28mdk


%if %buildfor8_2
BuildRequires:	XFree86-devel flex byacc libpilot-link4 pam pilot-link-devel
%endif

%if %buildfor9_0 || %buildfor9_1
BuildRequires:  XFree86-devel flex byacc pam libpisock8-devel
%endif
%if %buildfor9_1
BuildRequires:	libmal0-devel >= 0.20-2mdk
%endif

# To remove
Obsoletes:	kdepim3.0 kdepim3
BuildConflicts: automake1.6

%description
Information Management applications for the K Desktop Environment.
	- kaddressbook: The KDE addressbook application.
	- kandy: sync phone book entries between your cell phone and computer
         ("kandy" comes from "Handy", the german word used for a cellular)
	- korganizer: a calendar-of-events and todo-list manager
	- kpilot: to sync with your PalmPilot
	- kalarm: gui for setting up personal alarm/reminder messages
	- kalarmd: personal alarm/reminder messages daemon, shared by korganizer and
           kalarm.
	- kaplan: A shell for the PIM apps, still experimental.
	- karm: Time tracker.
	- kitchensync: Synchronisation framework, still under heavy development.
	- kfile-plugins: vCard KFIleItem plugin.
	- knotes: yellow notes application
	- konsolecalendar: Command line tool for accessing calendar files.


%package devel
Summary:	Devel stuff for kdepim
Group:		Development/KDE and Qt
PreReq:		%name = %version-%release, libqt3-devel

Obsoletes:	kdepim3-devel
Provides:	kdepim3-devel

Conflicts:  kdeutils-devel =< 2.2.2-28mdk

%description devel
This package contains header files needed if you wish to build applications
based on kdepim.



%prep



%setup -q -nkdepim-3.1
#%patch1 -p1
#%patch5 -p1
%patch8 -p1
# final !!!!!!
#%patch9 -p1
%patch10 -p1
%patch11 -p1

%build
 #make -f Makefile.cvs
export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure



%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
        ./configure --prefix=%_prefix \
					--libdir=%_libdir \
                    --build=%_target_platform \
		    --host=%_target_platform \
%if %unstable			
                    --enable-debug=full \
%else
				--disable-debug \
%endif
		    --enable-final \
                    --enable-shared \
                    --disable-static \
		    --enable-fast-install \
		    --disable-embedded \
		    --disable-palmtop \
		    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
		    --with-xinerama 

%make



%install
rm -fr %buildroot
export PATH=%_bindir:$PATH
# Dadou - 2.2-0.alpha2.2mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot


# Create LMDK menu entries
install -d %buildroot/%_menudir/
# %%_datadir/applnk/Applications/
kdedesktop2mdkmenu.pl kdepim "Office/Time management" %buildroot/%_datadir/applnk/Applications/korganizer.desktop %buildroot/%_menudir/kdepim-korganizer
kdedesktop2mdkmenu.pl kdepim "Office/Time management" %buildroot/%_datadir/applnk/Utilities/More/kalarm.desktop %buildroot/%_menudir/kdepim-kalarm

# %%_datadir/applnk/Utilities
kdedesktop2mdkmenu.pl kdepim Office/PDA %buildroot/%_datadir/applnk/Utilities/kaddressbook.desktop %buildroot/%_menudir/kdepim-kaddressbook
kdedesktop2mdkmenu.pl kdepim Office/PDA %buildroot/%_datadir/applnk/Utilities/kpilot.desktop %buildroot/%_menudir/kdepim-kpilot
kdedesktop2mdkmenu.pl kdepim Office/PDA %buildroot/%_datadir/applnk/Utilities/kpilotdaemon.desktop %buildroot/%_menudir/kdepim-kpilotdaemon kde
kdedesktop2mdkmenu.pl kdepim Office/PDA %buildroot/%_datadir/applnk/Utilities/More/kandy.desktop %buildroot/%_menudir/kdepim-kandy kde
kdedesktop2mdkmenu.pl kdepim Office/PDA %buildroot/%_datadir/applnk/Utilities/More/karm.desktop %buildroot/%_menudir/kdepim-karm kde
kdedesktop2mdkmenu.pl kdepim Office/PDA %buildroot/%_datadir/applnk/Utilities/knotes.desktop %buildroot/%_menudir/kdepim-knotes kde

# %%_datadir/applnk/Settings/System
#kdedesktop2mdkmenu.pl kdepim Configuration/KDE/System %buildroot/%_datadir/applnk/Settings/System/alarmdaemonctrl.desktop %buildroot/%_menudir/kdepim-alarmdaemonctrl

# Dadou - 2.2-4mdk - To provide an icon to Kandy (see above)
perl -pi -e "s|kandy.png|pda_section.png|" %buildroot/%_menudir/kdepim-kandy
perl -pi -e "s|kandy.png|pda_section.png|" %buildroot/%_datadir/applnk/Utilities/kandy.desktop

# Dadou - 2.2.1-2mdk - Dynamic desktop support - Don't put entry below (in spec)
#                      but use original KDE menu entry or you will desynchronize
#                      translations and arguments
#                      Add it only for Mandrake Linux distribution which support
#                      dynamic desktop entry
install -d -m 0755 %buildroot/%_sysconfdir/dynamic/launchers/visor/
install -m 0644 %buildroot/%_datadir/applnk/Utilities/kpilot.desktop %buildroot/%_sysconfdir/dynamic/launchers/visor/kpilot.desktop



%post
/sbin/ldconfig
%update_menus
update-alternatives --install %_sysconfdir/dynamic/launchers/visor/kde.desktop visor.kde.dynamic %_sysconfdir/dynamic/launchers/visor/kpilot.desktop 30

%postun
/sbin/ldconfig
%clean_menus
if [ $1 = 0 ] ; then
   update-alternatives --remove visor.kde.dynamic %_sysconfdir/dynamic/launchers/visor/kpilot.desktop
fi


%clean
rm -fr %buildroot



%files
%defattr(-,root,root,-)
%dir %_sysconfdir/dynamic/
%dir %_sysconfdir/dynamic/launchers/
%dir %_sysconfdir/dynamic/launchers/visor/
%config(noreplace) %_sysconfdir/dynamic/launchers/visor/kpilot.desktop
#
#
#
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
#%dir %_docdir/HTML/en/auto/
#%doc %_docdir/HTML/en/auto/*.docbook
#%doc %_docdir/HTML/en/auto/common
#%doc %_docdir/HTML/en/auto/*.bz2
#%doc %_docdir/HTML/en/auto/*.png
#
#
%dir %_docdir/HTML/en/kandy/
%doc %_docdir/HTML/en/kandy/*.docbook
%doc %_docdir/HTML/en/kandy/common
%doc %_docdir/HTML/en/kandy/*.bz2
#
#
%dir %_docdir/HTML/en/karm/
%doc %_docdir/HTML/en/karm/*.docbook
%doc %_docdir/HTML/en/karm/common
%doc %_docdir/HTML/en/karm/*.bz2
%doc %_docdir/HTML/en/karm/*.png
#
#
%dir %_docdir/HTML/en/knotes/
%doc %_docdir/HTML/en/knotes/*.docbook
%doc %_docdir/HTML/en/knotes/common
%doc %_docdir/HTML/en/knotes/*.bz2
#
#
%dir %_docdir/HTML/en/korganizer/
%doc %_docdir/HTML/en/korganizer/common
%doc %_docdir/HTML/en/korganizer/*.docbook
%doc %_docdir/HTML/en/korganizer/*.png
%doc %_docdir/HTML/en/korganizer/*.bz2
#
#
%dir %_docdir/HTML/en/kpilot/
%doc %_docdir/HTML/en/kpilot/common
%doc %_docdir/HTML/en/kpilot/*.docbook
%doc %_docdir/HTML/en/kpilot/*.png
%doc %_docdir/HTML/en/kpilot/*.bz2
#
%dir %_docdir/HTML/en/kalarm/
%doc %_docdir/HTML/en/kalarm/*.png
%doc %_docdir/HTML/en/kalarm/*.bz2
%doc %_docdir/HTML/en/kalarm/*.docbook
%doc %_docdir/HTML/en/kalarm/common
#
%dir %_docdir/HTML/en/kaddressbook/
%doc %_docdir/HTML/en/kaddressbook/*.bz2
%doc %_docdir/HTML/en/kaddressbook/*.docbook
%doc %_docdir/HTML/en/kaddressbook/common

%dir %_docdir/HTML/en/kcontrol/
%dir %_docdir/HTML/en/kcontrol/kalarmd/
%doc %_docdir/HTML/en/kcontrol/kalarmd/common
%doc %_docdir/HTML/en/kcontrol/kalarmd/*.bz2
%doc %_docdir/HTML/en/kcontrol/kalarmd/*.docbook

#
%_bindir/*
#
#
#
%_libdir/*.la
%_libdir/*.so*
#
#
%dir %_libdir/kde3/
%_libdir/kde3/*.so*
%_libdir/kde3/*.la
#
#
#
%_menudir/*
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Applications/
%_datadir/applnk/Applications/*.desktop
#
#
%dir %_datadir/applnk/Utilities/
%_datadir/applnk/Utilities/*.desktop
#
#
%dir %_datadir/applnk/Utilities/More/
%_datadir/applnk/Utilities/More/*.desktop

%dir %_datadir/applnk/.hidden/
%_datadir/applnk/.hidden/*.desktop

#
%dir %_datadir/apps/kalarm/
%dir %_datadir/apps/kalarm/icons/
%dir %_datadir/apps/kalarm/icons/crystalsvg/
%dir %_datadir/apps/kalarm/icons/crystalsvg/16x16/
%dir %_datadir/apps/kalarm/icons/crystalsvg/16x16/actions/
%_datadir/apps/kalarm/icons/crystalsvg/16x16/actions/*.png
#
%dir %_datadir/apps/kalarm/icons/crystalsvg/22x22/
%dir %_datadir/apps/kalarm/icons/crystalsvg/22x22/actions/
%_datadir/apps/kalarm/icons/crystalsvg/22x22/actions/*.png

#
#
#
#
%dir %_datadir/apps/kalarmdgui/
%dir %_datadir/apps/kalarmdgui/icons/
%dir %_datadir/apps/kalarmdgui/icons/crystalsvg/
%dir %_datadir/apps/kalarmdgui/icons/crystalsvg/22x22/
%dir %_datadir/apps/kalarmdgui/icons/crystalsvg/22x22/actions/
%_datadir/apps/kalarmdgui/icons/crystalsvg/22x22/actions/*.png
#
#
%dir %_datadir/apps/kandy/
%_datadir/apps/kandy/*.rc
%_datadir/apps/kandy/*.kandy
#
#
%dir %_datadir/apps/karm/
%_datadir/apps/karm/*.rc
#
%dir %_datadir/apps/karm/pics/
%_datadir/apps/karm/pics/*.xpm
#
#
%dir %_datadir/apps/kgantt/
%dir %_datadir/apps/kgantt/icons/
%dir %_datadir/apps/kgantt/icons/crystalsvg/
%dir %_datadir/apps/kgantt/icons/crystalsvg/16x16/
%dir %_datadir/apps/kgantt/icons/crystalsvg/16x16/actions/
%_datadir/apps/kgantt/icons/crystalsvg/16x16/actions/*.png
#
%dir %_datadir/apps/kgantt/icons/crystalsvg/22x22/
%dir %_datadir/apps/kgantt/icons/crystalsvg/22x22/actions/
%_datadir/apps/kgantt/icons/crystalsvg/22x22/actions/*.png
#
%dir %_datadir/apps/kgantt/icons/crystalsvg/32x32/
%dir %_datadir/apps/kgantt/icons/crystalsvg/32x32/actions/
%_datadir/apps/kgantt/icons/crystalsvg/32x32/actions/*.png
#
#
%dir %_datadir/apps/knotes/
%_datadir/apps/knotes/*.rc
#
%dir %_datadir/apps/knotes/pics/
%_datadir/apps/knotes/pics/*.png
#
#
%dir %_datadir/apps/korganizer/
%_datadir/apps/korganizer/holiday*
%_datadir/apps/korganizer/*.rc
%_datadir/apps/korganizer/tips
#
%dir %_datadir/apps/korganizer/icons/
%dir %_datadir/apps/korganizer/icons/crystalsvg/
%dir %_datadir/apps/korganizer/icons/crystalsvg/22x22/
%dir %_datadir/apps/korganizer/icons/crystalsvg/22x22/actions/
%_datadir/apps/korganizer/icons/crystalsvg/22x22/actions/*.png
#
#%dir %_datadir/apps/korganizer/icons/crystalsvg/22x22/actions/checkedbox/
#%_datadir/apps/korganizer/icons/crystalsvg/22x22/actions/checkedbox/*.png
#
%dir %_datadir/apps/korganizer/icons/crystalsvg/22x22/actions/emptybox/
%_datadir/apps/korganizer/icons/crystalsvg/22x22/actions/emptybox/*.png
#
%dir %_datadir/apps/korganizer/icons/crystalsvg/32x32/
%dir %_datadir/apps/korganizer/icons/crystalsvg/32x32/actions/
%_datadir/apps/korganizer/icons/crystalsvg/32x32/actions/*.png
#
%dir %_datadir/apps/korganizer/icons/crystalsvg/16x16/
%dir %_datadir/apps/korganizer/icons/crystalsvg/16x16/actions/
%_datadir/apps/korganizer/icons/crystalsvg/16x16/actions/*.png
#
%dir %_datadir/apps/korganizer/sounds/
%_datadir/apps/korganizer/sounds/*.wav
#
%dir %_datadir/apps/korganizer/plugins/
%_datadir/apps/korganizer/plugins/*.rc
#
#
%dir %_datadir/apps/kpilot/
%_datadir/apps/kpilot/*.rc
%_datadir/apps/kpilot/*.png
#
%dir %_datadir/apps/kpilot/icons/
%dir %_datadir/apps/kpilot/icons/crystalsvg/
%dir %_datadir/apps/kpilot/icons/crystalsvg/16x16/
%dir %_datadir/apps/kpilot/icons/crystalsvg/16x16/actions/
%_datadir/apps/kpilot/icons/crystalsvg/16x16/actions/*.png
#
#
#
%dir %_datadir/config/
#%config(noreplace) %_datadir/config/korganizerrc
%config(noreplace) %_datadir/config/knotesrc
#
#
#
%dir %_iconsdir/crystalsvg/
%dir %_iconsdir/crystalsvg/16x16/
%dir %_iconsdir/crystalsvg/16x16/apps/
%_iconsdir/crystalsvg/16x16/apps/*.png
%dir %_iconsdir/crystalsvg/16x16/actions/
%_iconsdir/crystalsvg/16x16/actions/*.png
#
%dir %_iconsdir/crystalsvg/22x22/
%dir %_iconsdir/crystalsvg/22x22/apps/
%_iconsdir/crystalsvg/22x22/apps/*.png
%dir %_iconsdir/crystalsvg/22x22/actions/
%_iconsdir/crystalsvg/22x22/actions/*.png
#
%dir %_iconsdir/crystalsvg/32x32/
%dir %_iconsdir/crystalsvg/32x32/apps/
%_iconsdir/crystalsvg/32x32/apps/*.png
#
%dir %_iconsdir/crystalsvg/48x48/
%dir %_iconsdir/crystalsvg/48x48/apps/
%_iconsdir/crystalsvg/48x48/apps/*.png
#
#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png
#
#
#
%dir %_datadir/autostart
%_datadir/autostart/*.desktop
#
#
#
%dir %_datadir/services/
%_datadir/services/*.desktop
%_datadir/services/*.protocol
#

%dir %_datadir/services/korganizer/
%_datadir/services/korganizer/*.desktop
#
%dir %_datadir/servicetypes/
%_datadir/servicetypes/*.desktop


%_datadir/applnk/Utilities/More/kalarm.desktop
%_datadir/applnk/Utilities/More/kandy.desktop
%_datadir/applnk/Utilities/More/karm.desktop
%_datadir/applnk/.hidden/kalarmd.desktop

%dir %_datadir/apps/kaddressbook/
%dir %_datadir/apps/kaddressbook/csv-templates/
%_datadir/apps/kaddressbook/csv-templates/*.desktop

%dir %_datadir/apps/kaddressbook/icons/
%dir %_datadir/apps/kaddressbook/icons/crystalsvg/
%dir %_datadir/apps/kaddressbook/icons/crystalsvg/16x16/
%dir %_datadir/apps/kaddressbook/icons/crystalsvg/16x16/actions/
%_datadir/apps/kaddressbook/icons/crystalsvg/16x16/actions/*.png
%dir %_datadir/apps/kaddressbook/icons/crystalsvg/32x32/
%dir %_datadir/apps/kaddressbook/icons/crystalsvg/32x32/actions/
%_datadir/apps/kaddressbook/icons/crystalsvg/32x32/actions/*.png

%dir %_datadir/apps/kaddressbook/icons/locolor/16x16/
%dir %_datadir/apps/kaddressbook/icons/locolor/16x16/actions/
%_datadir/apps/kaddressbook/icons/locolor/16x16/actions/*.png

%dir %_datadir/apps/kaddressbook/icons/locolor/22x22/
%dir %_datadir/apps/kaddressbook/icons/locolor/22x22/actions/
%_datadir/apps/kaddressbook/icons/locolor/22x22/actions/*.png


%_datadir/apps/kaddressbook/*.rc

%dir %_datadir/apps/kaddressbook/printing/
%_datadir/apps/kaddressbook/printing/*.png


%_datadir/apps/ksync/ksyncui.rc



%files devel
%defattr(-,root,root)
%_includedir/*.h
#
#
%dir %_includedir/kgantt/
%_includedir/kgantt/*.h
#
#
%dir %_includedir/kpilot/
%_includedir/kpilot/*.h
#
#
%dir %_includedir/calendar/
%_includedir/calendar/*.h
#
#
%dir %_includedir/korganizer/
%_includedir/korganizer/*.h


%dir %_includedir/kdepim/
%_includedir/kdepim/*.h


%changelog
* Thu Mar 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-17mdk
- Add patch11 : fix korganizer " Update views on changes of todos directly in the todo list (#43162)." 
"Save state of statusbar (#55380)."
"Update views on changes of todos directly in the todo list (#43162)."

* Wed Mar 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-16mdk
- Add patch10 : fix from kde3.1 branch
"Don't break sorting when changing todos by context menu (#53680)."

* Tue Mar 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-15mdk
- Update code :
=> fix kpilot : fix vcal
=> fix korganizer: "Make cancel button of template selection dialog work (#54852)"
=> fix korganizer: "Don't restrict maximum size of search dialog (#54912)."


* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-14mdk
- Update code fix kpilot

* Fri Feb 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-13mdk
- Update code

* Fri Feb 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-12mdk
- Update code ( fix kpilot, kadressbook )

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-11mdk
- Update code ( fix kpilot)

* Fri Feb 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-10mdk
- Update code fix kaddressbook

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-9mdk
- Fix kalarm

* Mon Feb 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-8mdk
- Update code (fix kpilot)

* Tue Feb 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-7mdk
- Update code fix kpilot, kalarm

* Sun Feb 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-6mdk
- update code 

* Sat Feb 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Update code ( fix kpilot, kaddressbook )

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- Update code ( fix kpilot, kaddressbook)

* Thu Feb 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Update code : fix kpilot/knotes bugs

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Update code ( fix kaddressbook, kalarm)

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- kde3.1

* Tue Jan 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.5mdk
- remove debug

* Fri Jan 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.4mdk
- Add patch10 : fix mem leak in kaddressbook

* Thu Jan 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.3mdk
- Apply Gwenole patch "Make it lib64 aware"

* Tue Jan 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Add patch9 : fix crash in kaddressbook

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Fri Dec 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.8mdk
- Rebuild against new glibc

* Fri Dec 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.7mdk
- Fix compile with libmal0-devel

* Wed Dec 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.6mdk
- Add patch9 : fix focus, use double-click to edit host

* Wed Dec 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.5mdk
- Fix buildrequires

* Tue Dec 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.4mdk
- Requires on libmal

* Mon Dec 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.3mdk
- Add patch8 : fix disable/enable Ok button in resource dialogbox

* Fri Dec 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.2mdk
- Add patch6 : fix crash when we remove address into kaddressbook
- Add patch7 : fix disable ok button when ldap host is empty

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Wed Nov 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.2mdk
- Fix description thanks to "Yura Gusev" <elendal-sub@polygonized.com>

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- rc2

* Fri Nov 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.2mdk
- Fix missing file

* Fri Nov 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.1mdk
- RC1

* Sun Oct 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.3mdk
- Reactivate dynamic desktop file 

* Sun Oct 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.2mdk
- Fix url
- Remove unused patch

* Fri Oct 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- beta2
- Add patch5 fix compile

* Sat Oct 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4

* Fri Sep 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Fix knotes crash

* Sat Aug 31 2002 David BAUDENS <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Fix menu (icon)

* Sat Aug 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Add conflict

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-8mdk
- Rebuild 

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-7mdk
- Rebuild against gcc-3.2

* Mon Aug 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-6mdk
- Update from kde_3_0_branch (a lot of fix for kalarm)

* Sat Aug 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-5mdk
- Update from kde_3_0_branch (fix other korganizer + qt-3.0.5 bug )

* Fri Aug 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-4mdk
- Update with kde3_0_branch (fix korganizer + qt3.0.5 )
- Add BuildConflicts: automake1.6

* Fri Jul 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-3mdk
- Rebuild against gcc-3.2
- Add patch2 fix compile on ix64
- Add patch3 fix compile on qt3.0.5

* Wed Jul 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Rebuild against libintl2

* Sun Jun 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Sat Jun 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-6mdk
- Reactivate debug

* Fri May 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-5mdk
- Rebuild

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-4mdk
- Fix obsolete/provides

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- fix menu entry

* Thu May 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- Rebuild

* Fri May 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1

* Thu May 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-5mdk
- Rebuild against gcc3.1

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Add missing menu entry

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Remove 'fomit-frame-pointer'
- Fix spec file

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Sat Mar 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc2.2mdk
- RC2

* Fri Feb 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.2mdk
- Fix spec file

* Sun Jan 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sun Jan 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.2mdk
- Allow KDE 2 and KDE 3 to be installed in same time
- Don't build static libraries
- Remove KDE 2's changelogs (KDE 2 and KDE 3 spec files have a separate life
  now)
- Fix previous changelog
- Fix ./configure
- Clean %%files (i.e. respect alphabetic order and make it readable)

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.1mdk
- Rename to allow KDE 2 and KDE 3 to be installed in same time

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-1mdk
- kde 3.0 beta1

* Fri Nov 30 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improve spec file

* Fri Nov 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0 try
